<div fxLayout="column" fxLayoutAlign="space-between center">
    <h2 mat-dialog-title>Edit {{data.email}}</h2>

    <mat-form-field appearance="fill">
        <mat-label for="role">User role</mat-label>
        <mat-select [formControl]="role">
            <mat-option>--</mat-option>
            <mat-option *ngFor="let role of roles" [name]="role.name" [value]="role.id">
                {{role.name}}
            </mat-option>
        </mat-select>
    </mat-form-field>
    <button [disabled]="!role.valid" mat-raised-button color="primary" (click)="updateUser()"
        mat-stroked-button>
        <mat-icon matSuffix>edit</mat-icon> Edit
    </button>
</div>